%define rhugversion 20031215
%define rhugsource1 %{name}-%{version}-src upstream

Summary: Jakarta Commons Digester Component
Name: commons-digester
Version: 1.4.1
Release: 13
URL: http://jakarta.apache.org/commons/digester.html
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}-src.tar.gz
Patch1: %{name}-rhjpp.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
BuildPrereq: xerces-j >= 2.2.1-16
BuildPrereq: commons-collections >= 2.1-12
BuildPrereq: commons-logging >= 1.0.2-15
BuildPrereq: commons-beanutils >= 1.6.1-13
BuildPrereq: junit >= 3.8.1-4
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1
Requires: xerces-j >= 2.2.1-16
Requires: commons-collections >= 2.1-12
Requires: commons-logging >= 1.0.2-15
Requires: commons-beanutils >= 1.6.1-13

%description
The Jakarta Commons Digester Component maps XML data to Java objects
in a user-definable manner.

%package devel
Summary: CNI headers for developing Commons Digester applications
Group: Development/Libraries
Requires: commons-digester = %{version}-%{release}

%description devel
The commons-digester-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use the Jakarta
Commons Digester Component.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir}
make
#make check  XXX fails

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-digester.so \
    %{_datadir}/java/commons-digester.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-org-apache-commons-digester.so \
    %{_datadir}/java/commons-digester.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/*.txt upstream/*.html
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/commons/digester

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.4.1-13
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.4.1-12
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Mon Feb 16 2004 Gary Benson <gbenson@redhat.com> 1.4.1-11
- Rebuild for Fedora.

* Mon Feb  2 2004 Gary Benson <gbenson@redhat.com>
- Pick up xerces-j's XML libraries from their new location.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Thu Dec 11 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.
- Picked up some accidentally omitted resources.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.4.1-10
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.4.1-9
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.4.1-8
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.4.1-7
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.4.1-6
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.4.1-5
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Fri May 23 2003 Gary Benson <gbenson@redhat.com> 1.4.1-4
- Move unversioned library symlink into main package.

* Sat May  3 2003 Gary Benson <gbenson@redhat.com> 1.4.1-3
- Rebuild with new compiler.

* Fri Apr 11 2003 Gary Benson <gbenson@redhat.com> 1.4.1-2
- Fix linking on hammer.

* Thu Apr 03 2003 Gary Benson <gbenson@redhat.com> 1.4.1-1
- Initial Red Hat Linux build.

* Thu Apr 03 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to latest version.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
